import { MetadataBearer as __MetadataBearer } from "@smithy/types";
import { RegisterApplicationRevisionInput } from "../models/models_0";
export { __MetadataBearer };
export interface RegisterApplicationRevisionCommandInput
  extends RegisterApplicationRevisionInput {}
export interface RegisterApplicationRevisionCommandOutput
  extends __MetadataBearer {}
declare const RegisterApplicationRevisionCommand_base: {
  new (
    input: RegisterApplicationRevisionCommandInput
  ): import("@smithy/core/client").CommandImpl<
    RegisterApplicationRevisionCommandInput,
    RegisterApplicationRevisionCommandOutput,
    import("..").CodeDeployClientResolvedConfig,
    import("..").ServiceInputTypes,
    import("..").ServiceOutputTypes
  >;
  new (
    input: RegisterApplicationRevisionCommandInput
  ): import("@smithy/core/client").CommandImpl<
    RegisterApplicationRevisionCommandInput,
    RegisterApplicationRevisionCommandOutput,
    import("..").CodeDeployClientResolvedConfig,
    import("..").ServiceInputTypes,
    import("..").ServiceOutputTypes
  >;
  getEndpointParameterInstructions(): import("@smithy/types").EndpointParameterInstructions;
};
export declare class RegisterApplicationRevisionCommand extends RegisterApplicationRevisionCommand_base {
  protected static __types: {
    api: {
      input: RegisterApplicationRevisionInput;
      output: {};
    };
    sdk: {
      input: RegisterApplicationRevisionCommandInput;
      output: RegisterApplicationRevisionCommandOutput;
    };
  };
}
